Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SFP_Consumer_Object Class Reference

`#include <sfp.h>`

Inheritance diagram for TAO_SFP_Consumer_Object:

[legend]
Collaboration diagram for TAO_SFP_Consumer_Object:

[legend]
List of all members.

## Public Methods
| TAO_SFP_Consumer_Object (TAO_AV_Callback *callback, TAO_AV_Transport *transport, ACE_CString &flow_options)
virtual int | handle_input (void)

## Constructor & Destructor Documentation

TAO_SFP_Consumer_Object::TAO_SFP_Consumer_Object | ( | TAO_AV_Callback * | callback,
|  | TAO_AV_Transport * | transport,
|  | ACE_CString & | flow_options
| ) |

## Member Function Documentation

int TAO_SFP_Consumer_Object::handle_input | ( | void |  | ) | `[virtual]`

| Implements TAO_SFP_Object.

The documentation for this class was generated from the following files:

- sfp.h
- sfp.cpp